templates:
- openbase
- freestyle
- base

catalog:
  title: Openbase Type Library (Python)
variables:
  keywords:
  - python
  - type
  - protobuf
  github.project: type
  repository: https://github.com/openbase/type.git
  branches:
  - latest-stable
  - master

  natures:
  - freestyle
  extra-provides:
  - nature: setuptools
    target: openbase-type
  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - ${python.debian-package}
      - ${python.debian-package.prefix}-setuptools

  shell.command: |
    #!/bin/bash

    # setup python path
    export PYTHONPATH=${toolkit.dir}/lib/python2.7/site-packages

    # use java to generate the python protobuf types
    mvn clean install -Ddependency.com.google.protobuf.proto=2.6.1

    # install
    ./install-python.sh --prefix=${toolkit.dir}
